<?php
session_start();
    header('Access-Control-Allow-Origin:*');
    header('Content-Type; application/json; charset=utf-8');
    header('Access-control-Allow-Method: POST');
    header('Access-control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-request-With');
    include('db.php');
        $inputdata = json_decode(file_get_contents("php://input"), true);
        
        $nom = $inputdata['nom'];
        $id = $inputdata['id'];


            # inscription 

            $user=$db->prepare('UPDATE repas SET nom=? WHERE id=?');

            $req_user = $user->execute(array($nom, $id));

            if ($req_user) {


                echo (json_encode(['response' => 1]));



            }else{
                // création non réussie

                echo (json_encode(['response' => 0]));

                

            }